QGIS Application - Bug report #3866
Measure tool is windows is unusable
2011-06-02 07:16 PM - Nathan Woodrow

Status: Closed
Priority: Low
Assignee:

Category: Map Canvas

Affected QGIS version:

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13924

Description

In windows the measure tool is pretty much unusable, it's very slow and glitches a lot.

Looking at the debug log a lot of calls are made to setEllisoid(). Each time the mouse moves this is printed.

r45184 d:\\src\\qgis\\src\\core\\qgsdistancearea.cpp(161) : (QgsDistanceArea::setEllipsoid) setEllipsoid: a=6.37814e+06,

b=6.37814e+06, 1/f=298.257

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(349) : (QgsCoordinateReferenceSystem:

proj4: +proj=longlat +ellps=WGS84 +no_defs

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(378) : (QgsCoordinateReferenceSystem::

proj string supplied has no +a argument

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(540) : (QgsCoordinateReferenceSystem::

query: select * from tbl_srs where parameters="+proj=longlat +ellps=WGS84 +no_defs'

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(562) : (QgsCoordinateReferenceSystem::

system srs.db

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(617) : (QgsCoordinateReferenceSystem::

retrieved: select * from tbl_srs where parameters="+proj=longlat +ellps=WGS84 +no_defs'

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(406) : (QgsCoordinateReferenceSystem::

proj4string match search for srsid returned srsid: 3239

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(799) : (QgsCoordinateReferenceSystem::

Projection has linear units of Meter

r45184 d:\\src\\qgis\\src\\core\\qgscoordinatereferencesystem.cpp(799) : (QgsCoordinateReferenceSystem::

Projection has linear units of Meter

Tracked down to this bit of code:

void [[QgsMeasureDialog]]::configureDistanceArea( [[QgsDistanceArea]]& da )

{
QSettings settings;
QString ellipsoidld = settings.value( "/qgis/measure/ellipsoid”, "WGS84" ).toString();
da.setSourceCrs( mTool->canvas()->mapRenderer()->destinationCrs().srsid() );
da.setEllipsoid( ellipsoidld );
da.setProjectionsEnabled( mcbProjectionEnabled->isChecked() );

Which is called on every mouse move. Do we really need to call it on every mouse move?
Associated revisions

Revision 50d255f2 - 2011-06-03 04:52 PM - Jiirgen Fischer

fix #3866

Revision e22e5d6f - 2011-06-10 08:48 AM - Jiirgen Fischer

fix #3866

Revision d750abfa - 2011-06-18 06:36 PM - Sergey Yakushev

Fix #3866 for measure angle tool

Revision 1c986f08 - 2011-07-18 10:01 AM - Jiirgen Fischer

fix #3866

Revision 1a761e96 - 2011-07-18 10:19 AM - Sergey Yakushev

Fix #3866 for measure angle tool

History

#1 - 2011-06-03 07:42 AM - Jiirgen Fischer

Why should it be slower on Windows? | suppose it's just the noisy debugging output that makes it slow.

#2 - 2011-06-03 10:47 AM - Jiirgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:500255f20fdb362c6b26bf0bec7f60e3f35eale2.

#3 - 2011-06-09 11:40 PM - Sergey Yakushev
- File measure_angle.diff added

This Bug is partial solved. The fact that a similar problem in the measuring angles tool (corrected only tool of measurement of distances and areas). Look

at call QgsMapToolMeasureAngle::configureDistanceArea() in QgsMapToolMeastureAngle::canvasMouseMove() [1]

1. https://github.com/qgis/Quantum-GIS/blob/master/src/app/qgsmaptoolmeasureangle.cpp#L.58

#4 - 2011-06-18 09:44 AM - Alexander Bruy
- Assignee deleted (nobody -)
https://github.com/qgis/Quantum-GIS/blob/master/src/app/qgsmaptoolmeasureangle.cpp#L58

Patch for measure angle tool applied in commit:d750abfa2bfb197cde8e

Files

measure_angle.diff 4.28 KB 2011-06-09 Sergey Yakushev
